### Class

# CM Account

#### Description

    final class CM.Account : CM.User
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- CmUser
- GObject

#### Instance methods

###### cm_account_delete_3pid_async

No description available.

###### cm_account_delete_3pid_finish

No description available.

###### cm_account_get_3pids_async

No description available.

###### cm_account_get_3pids_finish

Finishes an asynchronous operation started with `cm_account_get_3pids_async()`.

###### cm_account_get_login_id

Get the login ID set for the account.

###### cm_account_set_display_name_async

No description available.

###### cm_account_set_display_name_finish

No description available.

###### cm_account_set_login_id

Set login ID for the account. The login can be a fully qualified matrix ID, or an email address which shall be used to log in to the server in to the server.

###### cm_account_set_user_avatar_async

No description available.

###### cm_account_set_user_avatar_finish

No description available.

##### Methods inherited from CmUser (7)

###### cm_user_get_avatar_async

No description available.

###### cm_user_get_avatar_finish

Finishes an asynchronous operation started with `cm_user_get_avatar_async()`.

###### cm_user_get_avatar_url

No description available.

###### cm_user_get_display_name

Get the user’s human readable display name.

###### cm_user_get_id

Get the user’s matrix id.

###### cm_user_load_info_async

No description available.

###### cm_user_load_info_finish

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from CmUser (1)

###### CmUser::changed

Changed signal is emitted when name or avatar of the user changes.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMAccountClass {
      CmUserClass parent_class;

    }

No description available.

###### Class members

`parent_class: CmUserClass`

  No description available.